Subject: Re: 1.7.5: Error when invoking ghostscript (gs)
From: Marco Atzeri <[email-masked]>
To: Falk Sticken <[email-masked]>
Cc: [email-masked]
Date: Sun, 4 Jul 2010 21:11:07 +0000 (GMT)
List-Id: <cygwin.cygwin.com>

--- Dom 4/7/10, Falk Sticken  ha scritto:

> > On Sun, 2010-07-04 at 13:39 +0200, Falk Sticken
> wrote:
> >> when I try to invoke gs from the Cygwin shell
> prompt, I get following error message:
> >> /usr/bin/gs.exe: error while loading shared
> libraries: ?: cannot open shared object file: No such file
> or directory
> > 
> > ldd /usr/bin/gs.exe will show you what your missing;
> in this case, I
> > think you need to install libjpeg62.
> 
> $ ldd /usr/bin/gs.exe
>         ntdll.dll =>
> /cygdrive/c/Windows/SysWOW64/ntdll.dll (0x76fd0000)
>         kernel32.dll =>
> /cygdrive/c/Windows/syswow64/kernel32.dll (0x75140000)
>         KERNELBASE.dll =>
> /cygdrive/c/Windows/syswow64/KERNELBASE.dll (0x76b20000)
>         cyggs-8.dll =>
> /usr/bin/cyggs-8.dll (0x10000000)
>         cygX11-6.dll =>
> /usr/bin/cygX11-6.dll (0x6c140000)
>         cyggcc_s-1.dll =>
> /usr/bin/cyggcc_s-1.dll (0x67f00000)
>         cygwin1.dll =>
> /usr/bin/cygwin1.dll (0x61000000)
>         ADVAPI32.DLL =>
> /cygdrive/c/Windows/syswow64/ADVAPI32.DLL (0x75670000)
>         msvcrt.dll =>
> /cygdrive/c/Windows/syswow64/msvcrt.dll (0x74d80000)
>         sechost.dll =>
> /cygdrive/c/Windows/SysWOW64/sechost.dll (0x76920000)
>         RPCRT4.dll =>
> /cygdrive/c/Windows/syswow64/RPCRT4.dll (0x75040000)
>         SspiCli.dll =>
> /cygdrive/c/Windows/syswow64/SspiCli.dll (0x74b40000)
>         CRYPTBASE.dll =>
> /cygdrive/c/Windows/syswow64/CRYPTBASE.dll (0x74b30000)
>         cygxcb-1.dll =>
> /usr/bin/cygxcb-1.dll (0x6e7c0000)
>         cygXau-6.dll =>
> /usr/bin/cygXau-6.dll (0x64000000)
>         cygXdmcp-6.dll =>
> /usr/bin/cygXdmcp-6.dll (0x61440000)
>         cygXt-6.dll =>
> /usr/bin/cygXt-6.dll (0x689c0000)
>         cygICE-6.dll =>
> /usr/bin/cygICE-6.dll (0x6a340000)
>         cygSM-6.dll =>
> /usr/bin/cygSM-6.dll (0x68e40000)
>         cyguuid-1.dll =>
> /usr/bin/cyguuid-1.dll (0x64ec0000)
>         cygcairo-2.dll =>
> /usr/bin/cygcairo-2.dll (0x6dac0000)
>         cygXrender-1.dll =>
> /usr/bin/cygXrender-1.dll (0x6f600000)
>         cygfontconfig-1.dll =>
> /usr/bin/cygfontconfig-1.dll (0x692c0000)
>         cygexpat-1.dll =>
> /usr/bin/cygexpat-1.dll (0x66ec0000)
>         cygfreetype-6.dll =>
> /usr/bin/cygfreetype-6.dll (0x6e080000)
>         cygz.dll =>
> /usr/bin/cygz.dll (0x320000)
>         cygiconv-2.dll =>
> /usr/bin/cygiconv-2.dll (0x674c0000)
>         cygglitz-1.dll =>
> /usr/bin/cygglitz-1.dll (0x6a180000)
>         cygpixman-1-0.dll =>
> /usr/bin/cygpixman-1-0.dll (0x6fb40000)
>         cygpng12.dll =>
> /usr/bin/cygpng12.dll (0x6f200000)
>         cygxcb-render-util-0.dll =>
> /usr/bin/cygxcb-render-util-0.dll (0x6db80000)
>         cygxcb-render-0.dll =>
> /usr/bin/cygxcb-render-0.dll (0x68c00000)
>         cygjasper-1.dll =>
> /usr/bin/cygjasper-1.dll (0x65200000)
>         cygjpeg-7.dll =>
> /usr/bin/cygjpeg-7.dll (0x66e00000)
> 
> Does not seem to be the problem.
> 
> bye,
> Falk
> 
> 
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:               
>    http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> 
> 

ldd don't report the missing lib,
eventually we should consider that a bug,  
while

$ cygcheck gs.exe

will report the missing 

    C:\cygwin2\bin\cygjpeg-62.dll

that comes from libjpeg62-6b-21

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple